GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/findcmd.c File Reference
`#include "defs.h"`
`#include "arch-utils.h"`
`#include <ctype.h>`
`#include "gdbcmd.h"`
`#include "value.h"`
`#include "target.h"`
`#include "cli/cli-utils.h"`
`#include <algorithm>`
`#include "common/byte-vector.h"`

Go to the source code of this file.

## Functions
static void | put_bits (bfd_uint64_t data, gdb::byte_vector &buf, int bits, bfd_boolean big_p)
static gdb::byte_vector | parse_find_args (const char *args, ULONGEST *max_countp, CORE_ADDR *start_addrp, ULONGEST *search_space_lenp, bfd_boolean big_p)
static void | find_command (const char *args, int from_tty)
void | _initialize_mem_search (void)

## Function Documentation

## ◆ _initialize_mem_search()

void _initialize_mem_search | ( | void |  | ) |

Definition at line 284 of file findcmd.c.

References _, add_cmd(), class_vars, cmdlist, and find_command().

## ◆ find_command()

static void find_command | ( | const char * | args,
|  | int | from_tty
| ) |  |
| static

Definition at line 212 of file findcmd.c.

References builtin_type::builtin_data_ptr, builtin_type(), gdb_stdout, gdbarch_byte_order(), get_current_arch(), lookup_internalvar(), parse_find_args(), print_address(), printf_filtered(), set_internalvar(), set_internalvar_integer(), target_search_memory(), and value_from_pointer().

Referenced by _initialize_mem_search().

## ◆ parse_find_args()

static gdb::byte_vector parse_find_args | ( | const char * | args,
|  | ULONGEST * | max_countp,
|  | CORE_ADDR * | start_addrp,
|  | ULONGEST * | search_space_lenp,
|  | bfd_boolean | big_p
| ) |  |
| static

Definition at line 56 of file findcmd.c.

References _, CORE_ADDR_MAX, error(), parse_to_comma_and_eval(), printf_filtered(), put_bits(), size, skip_spaces(), TYPE_LENGTH, value_as_address(), value_as_long(), value_contents(), and value_type().

Referenced by find_command().

## ◆ put_bits()

static void put_bits | ( | bfd_uint64_t | data,
|  | gdb::byte_vector & | buf,
|  | int | bits,
|  | bfd_boolean | big_p
| ) |  |
| static

Definition at line 33 of file findcmd.c.

References bits, and gdb_assert.

Referenced by parse_find_args().